commit:     3750544f26a7427b92b102c1cd2253b2c66cee81
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 30 15:46:06 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Fri Dec 30 16:25:28 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3750544f

media-video/mpv: skip img_format and repack_sws test

This seems to be mostly inconsistencies than actual issues.
Thanks to ernsteiswuerfel for verifying runtime is fine on
real hardware.

Tried with ppc64 qemu and the other tests don't fail.

Closes: https://bugs.gentoo.org/888639
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 media-video/mpv/mpv-0.35.0-r1.ebuild | 17 ++++++++++++++++-
 media-video/mpv/mpv-9999.ebuild      | 17 ++++++++++++++++-
 2 files changed, 32 insertions(+), 2 deletions(-)

diff --git a/media-video/mpv/mpv-0.35.0-r1.ebuild 
b/media-video/mpv/mpv-0.35.0-r1.ebuild
index 2fb3855a1bfd..d979c38b602c 100644
--- a/media-video/mpv/mpv-0.35.0-r1.ebuild
+++ b/media-video/mpv/mpv-0.35.0-r1.ebuild
@@ -250,7 +250,22 @@ src_configure() {
 
 src_test() {
        # 
https://github.com/mpv-player/mpv/blob/master/DOCS/man/options.rst#debugging
-       edo "${BUILD_DIR}"/mpv --no-config -v --unittest=all-simple
+       local tests=($("${BUILD_DIR}"/mpv --no-config --unittest=help | tail -n 
+2; assert))
+       (( ${#tests[@]} )) || die "failed to gather any tests"
+
+       local skip=(
+               all-simple
+
+               # fails on non-issue minor inconsistencies (bug #888639)
+               img_format
+               repack_sws
+       )
+
+       local test
+       for test in "${tests[@]}"; do
+               [[ ${test} == @($(IFS='|'; echo "${skip[*]}")) ]] ||
+                       edo "${BUILD_DIR}"/mpv -v --no-config 
--unittest="${test}"
+       done
 }
 
 src_install() {

diff --git a/media-video/mpv/mpv-9999.ebuild b/media-video/mpv/mpv-9999.ebuild
index a7b00cd2fc59..0f9e5d85df07 100644
--- a/media-video/mpv/mpv-9999.ebuild
+++ b/media-video/mpv/mpv-9999.ebuild
@@ -250,7 +250,22 @@ src_configure() {
 
 src_test() {
        # 
https://github.com/mpv-player/mpv/blob/master/DOCS/man/options.rst#debugging
-       edo "${BUILD_DIR}"/mpv --no-config -v --unittest=all-simple
+       local tests=($("${BUILD_DIR}"/mpv --no-config --unittest=help | tail -n 
+2; assert))
+       (( ${#tests[@]} )) || die "failed to gather any tests"
+
+       local skip=(
+               all-simple
+
+               # fails on non-issue minor inconsistencies (bug #888639)
+               img_format
+               repack_sws
+       )
+
+       local test
+       for test in "${tests[@]}"; do
+               [[ ${test} == @($(IFS='|'; echo "${skip[*]}")) ]] ||
+                       edo "${BUILD_DIR}"/mpv -v --no-config 
--unittest="${test}"
+       done
 }
 
 src_install() {

Reply via email to